Summary:	xconsole application to monitor system console messages with X
Summary(pl.UTF-8):	Aplikacja xconsole do monitorowania komunikatów konsoli systemowej pod X
Name:		xorg-app-xconsole
Version:	1.0.8
Release:	1%{?tld}
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xconsole-%{version}.tar.xz
# Source0-md5:	f110689f9070e28543b8d061f30e421b
Source1:	xconsole.desktop
Source2:	xconsole.png
Source3:	xconsole.1x.it
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
Requires:	xorg-font-font-misc-misc-base
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xconsole program displays messages which are usually sent to
/dev/console.

%description -l pl.UTF-8
Program xconsole wyświetla komunikaty, które zwykle są wysyłane na
/dev/console.

%prep
%setup -q -n xconsole-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/xconsole.desktop
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/xconsole.png
install -D %{SOURCE3} $RPM_BUILD_ROOT%{_mandir}/it/man1/xconsole.1x

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/xconsole
%{_datadir}/X11/app-defaults/XConsole
%{_desktopdir}/xconsole.desktop
%{_pixmapsdir}/xconsole.png
%{_mandir}/man1/xconsole.1*
%lang(it) %{_mandir}/it/man1/xconsole.1*
%changelog
* Wed Dec 13 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-app-xconsole.git;a=log;h=master

* Tue Jul 12 2022 Jakub Bogusz <qboosh@pld-linux.org> 1b999a4
- updated to 1.0.8

* Mon Jan 30 2017 Jakub Bogusz <qboosh@pld-linux.org> f5457a0
- updated to 1.0.7

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> 877e6c9
- x32 rebuild
- release 2 (by relup.sh)

* Sat Jul 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 54ad02e
- fixed build without xman suffix

* Fri Jul 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 39053f6
- updated to 1.0.6

* Mon Mar 04 2013 Elan Ruusamäe <glen@delfi.ee> a3ac630
- suggest a font, or it will crash

* Mon Jan 14 2013 Jakub Bogusz <qboosh@pld-linux.org> a3a4846
- updated to 1.0.5

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> f0b7745
- dropped pre-cvs changelog

* Fri Sep 24 2010 Jakub Bogusz <qboosh@pld-linux.org> 93785ee
- updated to 1.0.4
- removed obsolete xaw patch

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a6fdada
- rel 3; fix xaw related build

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4fc87c2
- new

* Fri Nov 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 222058b
- release 2

* Wed Dec 26 2007 Jakub Bogusz <qboosh@pld-linux.org> a2fe630
- cleanup

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 1d62a10
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Tue Aug 21 2007 Jakub Bogusz <qboosh@pld-linux.org> ebfb8c8
- real descs from man page

* Tue Aug 21 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> cc04b9f
- up to 1.0.3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c3e52f5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b04600c
- converted to UTF-8

* Sat Oct 14 2006 Jakub Bogusz <qboosh@pld-linux.org> 662a698
- added it xconsole(1x) from old XFree86/X11 packages

* Sat Oct 14 2006 Jakub Bogusz <qboosh@pld-linux.org> c4308fe
- from XFree86-non-english-Xman-pages

